void readFile(String newFilename) {

  for (int i=0; i<99; i++) {    // reset noteOn (contains note number when this note/key was last pushed)
    noteOn[i]=-1;
  }

  for (int i=0; i<3000; i++) {    // reset arrays
    note[i]        =0; 
    duration[i]    =0; 
    instrument[i]  =0; 
    time[i]        =0;
  }
  line="";
  lineNumber=0;
  maxNotes    = 0;             // amount of notes in file
  noteNumber  = 0;             // used for counting during logic parsing

  date="";                       // date of recording
  startHour= 0;                     // start time of recording
  startMinute= 0;
  startSecond= 0;

  reader = createReader(newFilename);
  int initialTime=0;


  boolean readingFile=true;
  while (readingFile) {
    try {
      line = reader.readLine();
    } 
    catch (IOException e) {
      e.printStackTrace();
      line = null;
    }
    if (line != null) {                                            // if line from file is available 
      lineNumber++;                                                // count new line


      if (lineNumber==1) {                                         // parse content of line 1 and get start time
        if (line.length()<19) {
          date=line.substring(0, 8);   // get date
          //println("date: "+date);             // print date
          String time=line.substring(8); // get time

          String[] chunk = split(time, ":");                       // split by comma into chunks
          startHour=Integer.parseInt(chunk[0].trim());
          startMinute=Integer.parseInt(chunk[1].trim());
          startSecond=Integer.parseInt(chunk[2].trim());
        } else {
          // invalid date/time in file

          date="---";
          startHour=0;
          startMinute=0;
          startSecond=0;
        }
        //  println("time: "+startHour+"h "+startMinute+"m "+startSecond+"s "); //print time
      }
      if (lineNumber>2) {                                          // parse content of lines 3 and up; get key presses and releases and turn them into note list

        String[] chunk = split(line, " , ");                       // split by comma into chunks
        if (lineNumber==3) {
          initialTime= int (chunk[3]);                                        // get initial time (==chunk 3)
        }

        if (chunk[1].equals("ON ") == true) {                      // if this is a new played note (chunk 1 == "ON ")
          noteNumber++;                                            // -------> count new note number
          //  print("              note: "+noteNumber+" , "+line);
          maxNotes                = noteNumber;                                 // remember noteNumber as current maximum
          note[noteNumber]        = Integer.parseInt(chunk[0].trim());          // remember value of note (==chunk 0) 
          instrument[noteNumber]  = int(chunk[2]);                              // remember instrument value (==chunk 2)
          time[noteNumber]        = int (chunk[3])-initialTime;                 // remember time (==chunk 3)
          noteOn[note[noteNumber]]= noteNumber;                                 // remember for each key under which note number it was pressed last time
        } else {                                                   
          //                                                                    // if this is a released note (chunk 1 != "ON ")
          int tempNoteNumber      = noteOn[Integer.parseInt(chunk[0].trim())];  //-> which noteNumber does this relate to?
          if (tempNoteNumber>=0) {
            duration[tempNoteNumber]= int (chunk[3])- time[tempNoteNumber]-initialTime;       // calculate duration for that noteNumber
          }
        }
      }
    } else {                                                       // if NO line from file is available 
      readingFile=false;
    }
  }
}